.include "tn13def.inc"
;-----------------        --

		 	   . 
.equ  sekunda	  =4000	  	  
.equ  LED_ON	  =800		  

.def  loop	      =r17	        
.def  counter     =r18            
.def  flag        =r19
.def  cycl        =r20
.def  cnt		= r23
.def  decimal		= r16
.def  temp       =r22

.cseg                         ;   ;

.org 0        ;    
rjmp reset ;    
.org 9        ;      
rjmp ADC_complete;    

;============================================================================  
;        macros delay
;============================================================================

.macro	delay			    ; 
		
		inc     @1 			;       
 	    mov     counter,@1	;   


K:		
		mov     loop,counter;  
 	
soul:  
	
		rcall	 Interval	;     0,2 
	   
	
    	dec		 loop		; 
	    brne     soul		
		;
		ldi		 flag,@2	;  
		
Cycle:					    ;   
        ldi      XL,Low (@0);    
        ldi      XH,high(@0);    
							;
delay_: sbiw     XL,1		;    
        brne     delay_		;  

		dec		 flag		 ; 		
		brne	 Cycle
		
		dec      counter     ;       
        brne	 K		     ;   
		clr 	 temp  
		
.endm				         ; 

reset:               ;   
		clr		 cycl			;  
	    cli 	 				;  

		ldi      temp,RAMEND	 ;  ; 
	    out      SPL,temp  
    	ldi      temp,0b11110111 
	    out      DDRB,temp		; ,.
	                            ; 	
    	Com		 temp            ;  
	    out      PORTB,temp      ;       

main:    
		clr		 temp
		cbi PORTB,1
		cbi PORTB,2
		cbi PORTB,3
		delay	 sekunda,temp,255
		delay	 sekunda,temp,255	
		delay	 sekunda,temp,255
		delay	 sekunda,temp,255	 ;
		ldi cnt,255
label:
		clr temp
		sbi PORTB,1 
		sbi PORTB,2
		sbi PORTB,3 
		delay	 sekunda,temp,30; = 1.4 .   ""         		
		cbi PORTB,1
		cbi PORTB,2
		cbi PORTB,3
		delay	 sekunda,temp,30
		dec cnt
		brne label
		delay	 sekunda,temp,255
		delay	 sekunda,temp,255
		delay	 sekunda,temp,255
		delay	 sekunda,temp,255
		delay	 sekunda,temp,255
		delay	 sekunda,temp,255


stop:
		sei						 ;   
		ldi		temp,(1<<PCIE)	 ;     PIN
		out		GIMSK,temp		 ;      PIN
		ldi		temp,(1<<PCIF)	 ;    
		out		GIFR,temp		 ;     PB
		ldi		temp,(1<<PCINT3) ;   
		out		PCMSK,temp		 ;      PB3

		ldi		temp,(1<<SE)|(1<<SM1)|(0<<SM0)
								;  "POWER DOWN"  "sleep" 
		out		 MCUCR,temp
		sleep					 ;   "sleep" 
		nop 					 
				
End:	rjmp	Reset    ;           

        rjmp	 main            ;   ,       


ADC_complete:;    




Return:
reti                  ;  

;-------------------------------------------------------------------------------
; *    0.2  *
;-------------------------------------------------------------------------------
Interval:

		ldi      YL,Low  (LED_ON)  ;       
        ldi      YH,high (LED_ON)  ;    
on_:    sbiw     YL,1
        brne     on_

		ret

 
